Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 791)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 792)
@@ -13,8 +13,6 @@
  */
 public class TXMCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
-	
 	public static String common_cols;
 	public static String common_delete;
 	public static String common_description;
@@ -273,7 +271,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMCoreMessages.class);
+		Utf8NLS.initializeMessages(TXMCoreMessages.class);
 	}
 	
 	
Index: tmp/org.txm.core/src/java/org/txm/objects/Base.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Base.java	(revision 791)
+++ tmp/org.txm.core/src/java/org/txm/objects/Base.java	(revision 792)
@@ -353,6 +353,10 @@
 	public String getDescription() {
 		return params.description;
 	}
+	
+	public void setDescription(String newDescription) {
+		params.description = newDescription;
+	}
 
 	public BaseParameters getBaseParameters() {
 		return params;
Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 791)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 792)
@@ -960,7 +960,18 @@
 	public String getDescription() {
 		return this.desc;
 	}
+	
+	/**
+	 * Gets the description.
+	 *
+	 * @return the description
+	 */
+	public void setDescription(String desc) {
+		this.desc = desc;
+		getSelfElement().setAttribute("desc", desc); // and update element
+	}
 
+
 	/**
 	 * Gets the script.
 	 *
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 791)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 792)
@@ -5,9 +5,6 @@
 
 public class IndexUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.index.rcp.messages.messages"; //$NON-NLS-1$
-
-	
 	public static String IndexEditor_0;
 	public static String IndexEditor_1;
 	public static String IndexEditor_10;
@@ -37,7 +34,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
+		Utf8NLS.initializeMessages(IndexUIMessages.class);
 	}
 
 	private IndexUIMessages() {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 791)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class SWTComponentsProviderMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.chartsengine.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL;
 	public static String ChartsEnginePreferencePage_COMBO_FIELD_SELECT_EXPORT_FORMAT_LABEL;
 	
@@ -43,7 +41,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SWTComponentsProviderMessages.class);
+		Utf8NLS.initializeMessages(SWTComponentsProviderMessages.class);
 	}
 
 	private SWTComponentsProviderMessages() {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 791)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 792)
@@ -12,8 +12,6 @@
  */
 public class ProgressionUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.progression.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String ProgressionPreferencePage_3;
 	public static String ProgressionPreferencePage_6;
 	public static String ProgressionPreferencePage_7;
@@ -31,7 +29,7 @@
 	
 	static {
 		// initializes resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
+		Utf8NLS.initializeMessages(ProgressionUIMessages.class);
 	}
 	
 	private ProgressionUIMessages() {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 791)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 792)
@@ -132,10 +132,12 @@
 
 	private AssistedQueryWidget queryWidget;
 
+	private Label miniInfoLabel;
 
 
 
 
+
 	@Override
 	public void __createPartControl(Composite parent) {
 
@@ -180,29 +182,48 @@
 
 		try {
 			// Query:
-			getMainParametersComposite().getLayout().numColumns = 2;
+			getMainParametersComposite().getLayout().numColumns = 4;
 			// make
 			getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			
-			Label queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
-			queryLabel.setText("Add query");
-			queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+			miniInfoLabel = new Label(getMainParametersComposite(), SWT.NONE);
+			miniInfoLabel.setText("No query - ");
+			miniInfoLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+			
+//			Label queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
+//			queryLabel.setText("New query");
+//			queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 
 			// [ (v)]
 			// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
 			queryWidget = new AssistedQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, getResult().getCorpus());
-			queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
+			queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
 			queryWidget.addKeyListener(new ComputeKeyListener(this) {
 				@Override
 				public void keyPressed(KeyEvent e) {
 					if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-						if (onPlusButtonPressed(null, queryWidget.getRawString())) {
+						if (queryWidget.getRawString().length() > 0 && onPlusButtonPressed(null, queryWidget.getRawString())) {
 							super.keyPressed(e); // recompute only if the query has been added
 						}
 					}
 				}
 			});
 			
+			Button addNewQueryButton = new Button(getMainParametersComposite(), SWT.PUSH);
+			addNewQueryButton.setText("Add");
+			addNewQueryButton.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false));
+			addNewQueryButton.addSelectionListener(new SelectionListener() {
+				
+				@Override
+				public void widgetSelected(SelectionEvent e) {
+					if (queryWidget.getRawString().length() > 0 && onPlusButtonPressed(null, queryWidget.getRawString())) {
+						compute(true);
+					}
+				}
+				
+				@Override
+				public void widgetDefaultSelected(SelectionEvent e) { }
+			});
 			// System.out.println(parent.getLayout());
 			Composite mainPanel = this.getExtendedParametersComposite();
 			GridData gridData = new GridData(GridData.FILL, GridData.FILL, true, true);
@@ -261,7 +282,7 @@
 			bandeField = new Text(paramPanel, SWT.BORDER);
 			bandeField.setEnabled(densityButton.getSelection());
 			bandeField.setText("" + this.getResult().getBandeMultiplier()); //$NON-NLS-1$
-			bandeField.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true, 2, 1));
+			bandeField.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, true, 2, 1));
 
 			// Structural units and properties combo viewers
 			StructuralUnitsCombosGroup structuration = new StructuralUnitsCombosGroup(paramPanel, this, this.getResult().getStructuralUnit(), this.getResult().getStructuralUnitProperty());
@@ -372,6 +393,15 @@
 		return false;
 	}
 
+	public void updateMiniInfoLabelText() {
+		if (queryWidgets.size() == 0) {
+			miniInfoLabel.setText("No query - ");
+		} else if (queryWidgets.size() == 1) {
+			miniInfoLabel.setText(queryWidgets.size()+" query - ");
+		} else {
+			miniInfoLabel.setText(queryWidgets.size()+" queries - ");
+		}
+	}
 
 	/**
 	 * 
@@ -398,6 +428,8 @@
 			this.setLayout(glayout);
 
 			queryWidgets.add(this);
+			updateMiniInfoLabelText();
+			
 
 			focusTextBox = new AssistedQueryWidget(this, SWT.BORDER, getResult().getCorpus());
 			focusTextBox.setFocus();
@@ -418,6 +450,7 @@
 						QueryField lastwidget = QueryField.this;
 						lastwidget.setSize(200, 30);
 						queryWidgets.remove(QueryField.this);
+						updateMiniInfoLabelText();
 						lastwidget.dispose();
 						sc1.layout(true);
 						queriesFocusComposite.layout(true);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 791)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class ConcordanceUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.concordance.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String ConcordancesEditor_referenceColumn_text;
 	public static String ConcordancesEditor_xpndtmNewExpanditem_text;
 	public static String ConcordancesEditor_xpndtmNewParameters_text;
@@ -139,7 +137,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ConcordanceUIMessages.class);
+		Utf8NLS.initializeMessages(ConcordanceUIMessages.class);
 	}
 	
 }
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 791)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 792)
@@ -1,6 +1,7 @@
 package org.txm.progression.core.messages;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 /**
  * Progression core messages.
@@ -11,11 +12,8 @@
  */
 public class ProgressionCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.progression.core.messages.messages"; //$NON-NLS-1$
-
 	public static String RESULT_TYPE;
 
-	
 	public static String ChartsEngine_PROGRESSION_X_AXIS_LABEL;
 	public static String ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL;
 	public static String ChartsEngine_PROGRESSION_Y_AXIS_NOT_CUMULATIVE_LABEL;
@@ -36,7 +34,7 @@
 	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, ProgressionCoreMessages.class);
+		Utf8NLS.initializeMessages(ProgressionCoreMessages.class);
 	}
 
 	private ProgressionCoreMessages() {
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 791)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 792)
@@ -11,9 +11,6 @@
  */
 public class ChartsEngineCoreMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.chartsengine.core.messages.messages"; //$NON-NLS-1$
-
-	
 	public static String error_cantCreateTmpChartFile;
 	public static String error_cantWriteInFile;
 
@@ -21,7 +18,7 @@
 
 	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ChartsEngineCoreMessages.class);
+		Utf8NLS.initializeMessages(ChartsEngineCoreMessages.class);
 	}
 	
 }
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 791)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 792)
@@ -13,9 +13,6 @@
  */
 public class ReferencerUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.referencer.rcp.messages.messages"; //$NON-NLS-1$
-
-
 	public static String ReferencerEditor_0;
 	public static String ReferencerEditor_10;
 	public static String ReferencerEditor_11;
@@ -33,10 +30,9 @@
 	public static String ReferencerPreferencePage_2;
 	public static String ReferencerPreferencePage_3;
 
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ReferencerUIMessages.class);
+		Utf8NLS.initializeMessages(ReferencerUIMessages.class);
 	}
 
 	private ReferencerUIMessages() {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 791)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 792)
@@ -13,11 +13,9 @@
  */
 public class CQPSearchEngineCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.core.messages.messages"; //$NON-NLS-1$
-
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPSearchEngineCoreMessages.class);
+		Utf8NLS.initializeMessages(CQPSearchEngineCoreMessages.class);
 	}
 
 	private CQPSearchEngineCoreMessages() {
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceMessages.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceMessages.java	(revision 791)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceMessages.java	(revision 792)
@@ -12,8 +12,6 @@
  */
 public class ConcordanceMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.concordance.core.messages.messages"; //$NON-NLS-1$
-
 	public static String Concordance_0;
 	public static String Concordance_1;
 	public static String Concordance_12;
@@ -40,6 +38,6 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ConcordanceMessages.class);
+		Utf8NLS.initializeMessages(ConcordanceMessages.class);
 	}
 }
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 791)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 792)
@@ -4,10 +4,7 @@
 import org.txm.utils.messages.Utf8NLS;
 
 public class RUIMessages extends NLS {
-	
 
-	private static final String BUNDLE_NAME = "org.txm.statsengine.r.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String RPreferencePage_0;
 	public static String RPreferencePage_1;
 	public static String RPreferencePage_2;
@@ -58,10 +55,9 @@
 	public static String RVariablesView_2;
 	public static String RVariablesView_9;
 
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, RUIMessages.class);
+		Utf8NLS.initializeMessages( RUIMessages.class);
 	}
 
 	private RUIMessages() {
Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 792)
@@ -0,0 +1,159 @@
+package org.txm.properties.rcp.editors;
+
+import java.io.File;
+
+import org.eclipse.jface.layout.GridDataFactory;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.custom.StyledText;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.layout.RowData;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Group;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Spinner;
+import org.eclipse.swt.widgets.Text;
+import org.txm.core.results.Parameter;
+import org.txm.properties.core.functions.Properties;
+import org.txm.properties.core.preferences.PropertiesPreferences;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
+import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.utils.logger.Log;
+
+/**
+ * Corpus, Subcorpus or Partition information editor.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PropertiesEditor extends TXMEditor<Properties> {
+
+
+	/**
+	 * The browser to display the HTML file.
+	 */
+	private Browser browser;
+
+
+	/**
+	 * The maximum number of word property values to display.
+	 */
+	@Parameter(key=PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY)
+	protected Spinner maxPropertiesToDisplay;
+
+
+	private Button nameSaveButton;
+
+
+	private Text nameText;
+
+
+	private StyledText descriptionText;
+
+
+	private Button descriptionSaveButton;
+
+
+
+	@Override
+	public void _createPartControl(Composite parent) {
+
+		Composite parametersArea = this.getExtendedParametersComposite();
+
+		// label
+		new Label(parametersArea, SWT.NONE).setText("V max");
+
+		// spinner
+		this.maxPropertiesToDisplay = new Spinner(parametersArea, SWT.BORDER);
+		this.maxPropertiesToDisplay.setToolTipText("The maximum number of word property values to show");
+		this.maxPropertiesToDisplay.setMinimum(0);
+		RowData gdata = new RowData();
+		gdata.width = 100;
+		this.maxPropertiesToDisplay.setLayoutData(gdata);
+		this.maxPropertiesToDisplay.addSelectionListener(new ComputeSelectionListener(this));
+
+		Group editComposite = this.getTopToolbar().installGroup("edit", "edit properties", null, null, true);
+		editComposite.setLayout(GLComposite.createDefaultLayout(3));
+		
+		Label nameLabel = new Label(editComposite, SWT.NONE);
+		nameLabel.setText("Displayed name");
+
+		nameText = new Text(editComposite, SWT.BORDER);
+		nameText.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		nameSaveButton = new Button(editComposite, SWT.PUSH);
+		nameSaveButton.setText("Change name");
+		nameSaveButton.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				String newName = nameText.getText().trim();
+				if (newName.length() > 0) {
+					getResult().getCorpus().setUserName(newName);
+					CorporaView.refreshObject(getResult().getCorpus());
+				}
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) { }
+		});
+
+		Label descLabel = new Label(editComposite, SWT.NONE);
+		descLabel.setText("Description");
+
+		descriptionText = new StyledText(editComposite, SWT.BORDER|SWT.V_SCROLL);
+		descriptionText.setLayoutData(GridDataFactory.fillDefaults().hint(400, 100).minSize(400, 100).span(1, 2).create());
+		descriptionSaveButton = new Button(editComposite, SWT.PUSH);
+		descriptionSaveButton.setText("Change description");
+		descriptionSaveButton.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				String newDescription = descriptionText.getText().trim();
+				if (newDescription.length() > 0) {
+					getResult().getCorpus().setDescription(newDescription);
+					getResult().setDirty();
+					compute(true);
+				}
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) { }
+		});
+
+		// browser
+		GLComposite displayArea = this.getResultArea();
+
+		this.browser = new Browser(displayArea, SWT.NONE);
+		this.browser.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+	}
+
+	@Override
+	public void updateEditorFromResult(boolean update) {
+		File file = this.getResult().getHTMLFile();
+		if (file.exists()) {
+			this.browser.setUrl(file.getAbsolutePath());
+		}
+		else	{
+			Log.severe("Information HTML file doesn't exist."); //$NON-NLS-1$
+		}
+		String n = getResult().getCorpus().getUserName();
+		if (n == null) n = getResult().getCorpus().getName();
+		nameText.setText(n);
+
+		String d = getResult().getCorpus().getDescription();
+		if (d != null) {
+			descriptionText.setText(getResult().getCorpus().getDescription());
+		}
+	}
+
+	@Override
+	public void updateResultFromEditor() {
+		// nothing to do
+	}
+
+}

Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java	(revision 792)
@@ -0,0 +1,75 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.properties.rcp.handlers;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.txm.properties.core.functions.Properties;
+import org.txm.properties.rcp.editors.PropertiesEditor;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.corpus.Corpus;
+
+/**
+ * Calls the function Information on a MainCorpus or a SubCorpus.
+ * Displays basic statistics and gives some properties values. 
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class ComputeProperties extends BaseAbstractHandler {
+	
+	
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		if (!this.checkCorpusEngine())	{
+			return false;
+		}
+		
+		Object selection = this.getSelection(event);
+		Properties information = null;
+		
+		// Creating from Corpus
+		if (selection instanceof Corpus) {
+			information = new Properties((Corpus) selection);
+		}
+		// Reopening from existing result
+		else if(selection instanceof Properties)	{
+			information = (Properties) selection;
+		}
+		// Error
+		else	{
+			return super.logCanNotCompute(selection);
+		}
+		
+		TXMEditor.openEditor(information, PropertiesEditor.class.getName());
+		return null;
+	}
+}

Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java	(revision 792)
@@ -0,0 +1,64 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.properties.rcp.preferences;
+
+import org.eclipse.jface.preference.IntegerFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.properties.core.preferences.PropertiesPreferences;
+import org.txm.properties.rcp.messages.PropertiesUIMessages;
+import org.txm.rcp.preferences.TXMPreferencePage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+import org.txm.searchengine.cqp.CQPPreferences;
+
+/**
+ * Information preferences page.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PropertiesPreferencePage extends TXMPreferencePage {
+
+		
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(PropertiesPreferences.PREFERENCES_NODE));
+		this.setTitle(TXMCoreMessages.common_description);
+	}
+	
+
+	@Override
+	public void createFieldEditors() {
+		
+		// The maximum number of word property values to display
+		IntegerFieldEditor maxValue = new IntegerFieldEditor(PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY, PropertiesUIMessages.Max_Value_To_Display, this.getFieldEditorParent());
+		maxValue.setValidRange(1, 9999);
+		this.addField(maxValue);
+	}
+}

Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 792)
@@ -0,0 +1,40 @@
+// Copyright © 2010-2013 ENS de Lyon.
+package org.txm.properties.rcp.adapters;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.model.IWorkbenchAdapter;
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.FrameworkUtil;
+import org.txm.properties.core.functions.Properties;
+import org.txm.rcp.adapters.TXMResultAdapter;
+import org.txm.rcp.adapters.TXMResultAdapterFactory;
+
+
+/**
+ * 
+ *  
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class PropertiesAdapterFactory extends TXMResultAdapterFactory {
+
+	public static final ImageDescriptor ICON =
+			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(PropertiesAdapterFactory.class).getSymbolicName(),
+					"platform:/plugin/"+ FrameworkUtil.getBundle(PropertiesAdapterFactory.class).getSymbolicName() + "/icons/functions/information.png"); //$NON-NLS-1$ //$NON-NLS-2$
+
+	@Override
+	public Object getAdapter(Object adaptableObject, Class adapterType) {
+		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Properties)	{
+			return new TXMResultAdapter() {
+				@Override
+				public ImageDescriptor getImageDescriptor(Object object) {
+					if (object instanceof Properties) {
+							return ICON;
+					}
+					return null;
+				}
+			};
+		}
+		return null;
+	}
+}

Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 792)
@@ -0,0 +1,36 @@
+package org.txm.properties.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * CAP UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PropertiesUIMessages extends NLS {
+	
+	public static String CQPPreferencePage_0;
+	public static String CQPPreferencePage_1;
+	public static String CQPPreferencePage_10;
+	public static String CQPPreferencePage_11;
+	public static String CQPPreferencePage_12;
+	public static String CQPPreferencePage_13;
+	public static String CQPPreferencePage_14;
+	public static String CQPPreferencePage_15;
+	public static String CQPPreferencePage_17;
+	public static String CQPPreferencePage_18;
+	
+	
+	public static String ComputeProperties_0;
+
+	public static String Max_Value_To_Display;
+
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(PropertiesUIMessages.class);
+	}
+}

Index: tmp/org.txm.information.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 791)
+++ tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 792)
@@ -1,13 +1,13 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Information RCP
-Bundle-SymbolicName: org.txm.information.rcp;singleton:=true
+Bundle-SymbolicName: org.txm.properties.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
  org.txm.utils,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0",
- org.txm.information.core;bundle-version="1.0.0",
+ org.txm.properties.core;bundle-version="1.0.0",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.rcp;bundle-version="0.8.0"
Index: tmp/org.txm.information.rcp/.project
===================================================================
--- tmp/org.txm.information.rcp/.project	(revision 791)
+++ tmp/org.txm.information.rcp/.project	(revision 792)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.information.rcp</name>
+	<name>org.txm.properties.rcp</name>
 	<comment></comment>
 	<projects>
 	</projects>
